package com.palmnest.service.notice;

import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.output.PushSendDto;
import com.palmnest.model.estateserve.AppUser;
import com.palmnest.model.notice.PhoneMessageModel;
import com.palmnest.service.GenericManager;

import java.util.List;
import java.util.Map;

public interface PhoneMessageManager extends GenericManager<PhoneMessageModel, Integer> {

	public Page getDataList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

	public PhoneMessageModel saveOrUpdatePhoneMessageModel(PhoneMessageModel phoneMessageModel);

	public Integer getTotal(String orgIds);

	PushSendDto getDetailInfo(Integer id);

	/**
	 * 给用户发送短信消息
	 *
	 * @param users      用户集合
	 * @param msgContent 短信内容
	 */
	void sendMessage(List<AppUser> users, String msgContent);
}
